Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class RuntimeDependencyResolver

    java.lang.Object
      org.mortbay.jetty.plugin.RuntimeDependencyResolver

    public class RuntimeDependencyResolver

extends Object

RuntimeDependencyResolver This class is able to pull down a remote pom, find all of it's dependencies and transitively resolve them.

Constructor Summary
`RuntimeDependencyResolver(ArtifactFactory artifactFactory, ArtifactResolver artifactResolver, ArtifactMetadataSource metadataSource, ArtifactRepository localRepository, List remoteRepositories)`

Method Summary
`void` | `addDependency(Set artifacts, String groupId, String artifactId, String versionId, String type)`
`Artifact` | `getArtifact(String groupId, String artifactId, String versionId, String type)`
`Artifact` | `getPomArtifact(String groupId, String artifactId, String versionId)`
`MavenProject` | `loadPomAsProject(MavenProjectBuilder projectBuilder, Artifact pomArtifact)`
`void` | `removeDependency(Set artifacts, String groupId, String artifactId, String versionId, String type)`
`Set` | `transitivelyResolvePomDependencies(MavenProjectBuilder projectBuilder, String groupId, String artifactId, String versionId, boolean resolveProjectArtifact)` Download (if necessary) a pom, and load it as a MavenProject, transitively resolving any dependencies therein.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeDependencyResolver

    public RuntimeDependencyResolver(ArtifactFactory artifactFactory,
                                     ArtifactResolver artifactResolver,
                                     ArtifactMetadataSource metadataSource,
                                     ArtifactRepository localRepository,
                                     List remoteRepositories)

Method Detail

### transitivelyResolvePomDependencies

    public Set transitivelyResolvePomDependencies(MavenProjectBuilder projectBuilder,
                                                  String groupId,
                                                  String artifactId,
                                                  String versionId,
                                                  boolean resolveProjectArtifact)
                                           throws MalformedURLException,
                                                  ProjectBuildingException,
                                                  InvalidDependencyVersionException,
                                                  ArtifactResolutionException,
                                                  ArtifactNotFoundException

  Download (if necessary) a pom, and load it as a MavenProject, transitively resolving any dependencies therein.

  Parameters:
    `projectBuilder` -
    `groupId` -
    `artifactId` -
    `versionId` -
  Returns:
    a Set of Artifacts representing the transitively resolved dependencies.
  Throws:
    `MalformedURLException`
    `ProjectBuildingException`
    `InvalidDependencyVersionException`
    `ArtifactResolutionException`
    `ArtifactNotFoundException`

### loadPomAsProject

    public MavenProject loadPomAsProject(MavenProjectBuilder projectBuilder,
                                         Artifact pomArtifact)
                                  throws ProjectBuildingException

  Throws:
    `ProjectBuildingException`

### getArtifact

    public Artifact getArtifact(String groupId,
                                String artifactId,
                                String versionId,
                                String type)

### getPomArtifact

    public Artifact getPomArtifact(String groupId,
                                   String artifactId,
                                   String versionId)

### removeDependency

    public void removeDependency(Set artifacts,
                                 String groupId,
                                 String artifactId,
                                 String versionId,
                                 String type)

### addDependency

    public void addDependency(Set artifacts,
                              String groupId,
                              String artifactId,
                              String versionId,
                              String type)
                       throws ArtifactResolutionException,
                              ArtifactNotFoundException

  Throws:
    `ArtifactResolutionException`
    `ArtifactNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.